> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instance



## OpenAPI

````yaml api-reference/gpus-v2-spec/get-instance.json GET /gpus/v2/instances/{instance_id}
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/instances/{instance_id}:
    get:
      summary: Get Instance
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
          description: 'Instance ID. String, length: 1-255 characters.'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Instance ID
                    example: ca338f12f3
                  name:
                    type: string
                    description: Instance name
                    example: example-instance
                  type:
                    type: string
                    enum:
                      - gpu
                      - cpu
                    description: 'Instance type. Allowed values: `gpu`, `cpu`'
                    example: gpu
                  product_id:
                    type: string
                    description: Product ID
                    example: product-id
                  image:
                    type: string
                    description: Image address
                    example: registry.example.com/namespace/image:tag
                  registry_auth_id:
                    type: string
                    description: Registry authentication ID
                    example: registry-auth-id
                  entrypoint:
                    type: string
                    description: Container entrypoint
                    example: ''
                  command:
                    type: string
                    description: Container startup command
                    example: ''
                  billing:
                    type: object
                    description: Billing configuration
                    properties:
                      mode:
                        type: string
                        enum:
                          - postpaid
                          - prepaid
                          - spot
                        description: >-
                          Billing mode. Allowed values: `postpaid`, `prepaid`,
                          `spot`
                        example: prepaid
                      prepaid:
                        type: object
                        description: >-
                          Monthly subscription configuration. Present when
                          `mode=prepaid`
                        properties:
                          months:
                            type: integer
                            description: Subscription length in months
                            example: 1
                          end_time:
                            type: integer
                            description: Subscription end time. Unix timestamp
                            example: 1714464000
                          auto_renew:
                            type: object
                            description: Auto-renew configuration
                            properties:
                              enabled:
                                type: boolean
                                description: Whether auto-renew is enabled
                                example: true
                              months:
                                type: integer
                                description: Auto-renew length in months
                                example: 1
                              status:
                                type: string
                                description: Auto-renew status
                                example: active
                  envs:
                    type: array
                    description: Environment variable list
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          description: Variable name
                          example: ENV_NAME
                        value:
                          type: string
                          description: Variable value
                          example: ENV_VALUE
                  ports:
                    type: array
                    description: Exposed port list
                    items:
                      type: object
                      properties:
                        port:
                          type: integer
                          description: Port number
                          example: 8080
                        protocol:
                          type: string
                          description: Port protocol
                          example: tcp
                        endpoint:
                          type: string
                          description: External endpoint (assigned at runtime)
                          example: http://1.2.3.4:8080
                  resource_specs:
                    type: object
                    description: Resource specification (with system-allocated info)
                    properties:
                      rootfs_size_gb:
                        type: integer
                        description: 'Root disk size. Unit: GB'
                        example: 20
                      gpu_num:
                        type: integer
                        description: GPU count
                        example: 1
                      cpu_num:
                        type: integer
                        description: CPU cores (system-allocated)
                        example: 8
                      memory_gb:
                        type: integer
                        description: 'Memory size. Unit: GB (system-allocated)'
                        example: 32
                      gpu_ids:
                        type: array
                        items:
                          type: integer
                        description: Allocated GPU card indices
                        example:
                          - 0
                  network:
                    type: object
                    description: VPC network configuration
                    properties:
                      id:
                        type: string
                        description: VPC network ID
                        example: vpc-550e8400-e29b-41d4-a716-446655440000
                      ip:
                        type: string
                        description: IP assigned to the instance by the VPC
                        example: 10.2.1.1
                  volumes:
                    type: array
                    description: Data disk / network storage mounts
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - local
                            - network
                          description: 'Storage type. Allowed values: `local`, `network`'
                          example: network
                        id:
                          type: string
                          description: Storage ID. Used for `network` type
                          example: network-storage-id
                        mount_point:
                          type: string
                          description: Mount path
                          example: /data
                  region:
                    type: string
                    description: Region of the instance
                    example: region-id
                  tools:
                    type: object
                    description: Instance tool information
                    properties:
                      jupyter:
                        type: object
                        description: Jupyter tool information
                        properties:
                          endpoint:
                            type: string
                            description: Jupyter endpoint
                            example: https://jupyter.example.com/instance/ca338f12f3
                          enabled:
                            type: boolean
                            description: Whether Jupyter is enabled
                            example: true
                          port:
                            type: integer
                            description: Jupyter port
                            example: 8888
                      ssh:
                        type: object
                        description: SSH tool information
                        properties:
                          command:
                            type: string
                            description: SSH connection command
                            example: >-
                              ssh -p 51039
                              root@proxy.cn-south-nas-1.gpu-instance.novita.ai
                          password:
                            type: string
                            description: SSH password
                            example: xxx
                          username:
                            type: string
                            description: SSH username
                            example: xxx
                      web_terminal:
                        type: object
                        description: Web Terminal tool information
                        properties:
                          endpoint:
                            type: string
                            description: Web Terminal endpoint
                            example: wss://terminal.example.com/instance/ca338f12f3
                          enabled:
                            type: boolean
                            description: Whether Web Terminal is enabled
                            example: true
                          username:
                            type: string
                            description: Web Terminal username
                            example: root
                          password:
                            type: string
                            description: Web Terminal password
                            example: xxx
                      log:
                        type: object
                        description: Log tool information
                        properties:
                          instance_endpoint:
                            type: string
                            description: Instance log endpoint
                            example: https://log.example.com/system/ca338f12f3
                          system_endpoint:
                            type: string
                            description: System log endpoint
                            example: https://log.example.com/instance/ca338f12f3
                  auto_migrate:
                    type: object
                    description: Auto-migrate configuration
                    properties:
                      enabled:
                        type: boolean
                        description: Whether auto-migrate is enabled
                        example: false
                      include_system_disk:
                        type: boolean
                        description: >-
                          Whether the system disk is included during
                          auto-migrate
                        example: false
                  status:
                    type: object
                    description: Instance status information
                    properties:
                      status:
                        type: string
                        description: Instance status
                        example: running
                      error:
                        type: string
                        description: Error code
                        example: ''
                      message:
                        type: string
                        description: Status description
                        example: ''
                  pricing:
                    type: object
                    description: Pricing information
                    properties:
                      instance_price:
                        type: integer
                        description: Instance price
                        example: 100
                      instance_base_price:
                        type: integer
                        description: Instance original price
                        example: 120
                      rootfs_storage_price:
                        type: integer
                        description: Root disk storage price
                        example: 10
                      prepaid:
                        type: object
                        description: >-
                          Monthly subscription pricing. Present when
                          `billing.mode=prepaid`
                        properties:
                          monthly_price:
                            type: array
                            description: Monthly price tiers
                            items:
                              type: object
                              properties:
                                price:
                                  type: integer
                                  description: Monthly price
                                  example: 1000
                                base_price:
                                  type: integer
                                  description: Monthly original price
                                  example: 1200
                                month:
                                  type: integer
                                  description: Number of months
                                  example: 1
                                price_precision:
                                  type: integer
                                  description: Price precision
                                  example: 2
                                month_spec_id:
                                  type: string
                                  description: Monthly spec ID
                                  example: spec-1m
                      spot:
                        type: object
                        description: Spot pricing. Present when `billing.mode=spot`
                        properties:
                          spot_status:
                            type: string
                            description: Spot instance status
                          spot_reclaim_time:
                            type: integer
                            description: Spot reclaim time. Unix timestamp
                  created_at:
                    type: integer
                    description: Creation time. Unix timestamp
                    example: 1714464000
                  last_started_at:
                    type: integer
                    description: Last start time. Unix timestamp
                    example: 1714467600
                  last_stopped_at:
                    type: integer
                    description: Last stop time. Unix timestamp
                    example: 0
                  member_id:
                    type: string
                    description: Creator member ID
                    example: member-id
                  owner_id:
                    type: string
                    description: Owner user ID (team owner UUID)
                    example: 550e8400-e29b-41d4-a716-446655440000
                  region_version:
                    type: string
                    description: Instance version
                    example: v1.0

````